All pages
Powered by GitBook
1 of 1

Loading...

Update statement attachment

put

Updates the properties (name, description) of an existing statement attachment. File content cannot be changed.

Path parameters
statementIdstringRequired

The ID of the statement to which the attachment belongs.

idstringRequired

The ID of the attachment to update.

Body

Represents an attachment associated with a billing statement in the system.

atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
revisioninteger · int32Optional
namestringOptional

Name of the attachment.

Example: raw records data
typestring · enumOptional

Represents the type of billing attachment.

Possible values:
filenamestringOptional

Represents the name of the file associated with the attachment.

Example: invoice.pdf
sizeinteger · int64 · nullableOptional

Indicates the size of the file in bytes.

Example: 102400
contentTypestringOptional

Represents the MIME type of the file content.

Example: application/pdf
descriptionstringOptional

Provides a description of the attachment.

Example: Invoice for March 2025
isDeletedbooleanOptional

Indicates whether the attachment has been marked as deleted.

Example: false
idstringOptional

The unique identifier of the attachment.

Example: STA-1234-1234
revisioninteger · int32Optional
idstringOptional

The unique identifier of the statement.

Example: SOM-1234-1234-1234-1234-1234
Responses
200

OK

application/json

Represents an attachment associated with a billing statement in the system.

atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
revisioninteger · int32Optional
namestringOptional

Name of the attachment.

Example: raw records data
typestring · enumOptional

Represents the type of billing attachment.

Possible values:
filenamestringOptional

Represents the name of the file associated with the attachment.

Example: invoice.pdf
sizeinteger · int64 · nullableOptional

Indicates the size of the file in bytes.

Example: 102400
contentTypestringOptional

Represents the MIME type of the file content.

Example: application/pdf
descriptionstringOptional

Provides a description of the attachment.

Example: Invoice for March 2025
isDeletedbooleanOptional

Indicates whether the attachment has been marked as deleted.

Example: false
idstringOptional

The unique identifier of the attachment.

Example: STA-1234-1234
revisioninteger · int32Optional
idstringOptional

The unique identifier of the statement.

Example: SOM-1234-1234-1234-1234-1234
403

Forbidden

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
put/public/v1/billing/statements/{statementId}/attachments/{id}
PUT /public/v1/billing/statements/{statementId}/attachments/{id} HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 514

{
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "revision": 1,
  "name": "raw records data",
  "type": "Input",
  "filename": "invoice.pdf",
  "size": 102400,
  "contentType": "application/pdf",
  "description": "Invoice for March 2025",
  "isDeleted": false,
  "id": "STA-1234-1234",
  "statement": {
    "revision": 1,
    "id": "SOM-1234-1234-1234-1234-1234"
  }
}
{
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "revision": 1,
  "name": "raw records data",
  "type": "Input",
  "filename": "invoice.pdf",
  "size": 102400,
  "contentType": "application/pdf",
  "description": "Invoice for March 2025",
  "isDeleted": false,
  "id": "STA-1234-1234",
  "statement": {
    "revision": 1,
    "id": "SOM-1234-1234-1234-1234-1234"
  }
}

Updates an existing statement attachment.